Docs
CodeRabbit
Cloudflare
AG Grid
SerpAPI
Netlify
OpenRouter
WorkOS
Clerk
Electric
PowerSync
Sentry
Railway
Prisma
Strapi
Unkey
CodeRabbit
Cloudflare
AG Grid
SerpAPI
Netlify
OpenRouter
WorkOS
Clerk
Electric
PowerSync
Sentry
Railway
Prisma
Strapi
Unkey
Hotkeys API Reference
Hotkey Sequence API Reference
Key hold & held keys API Reference
Hotkey Recorder API Reference
Hotkey Sequence Recorder API Reference
Normalization & format API Reference
Key hold & held keys API Reference

useHeldKeyCodes

Function: useHeldKeyCodes()

ts
function useHeldKeyCodes(): Ref<Record<string, string>>;
function useHeldKeyCodes(): Ref<Record<string, string>>;

Defined in: packages/vue-hotkeys/src/useHeldKeyCodes.ts:31

Vue composable that returns a reactive ref mapping currently held key names to their physical event.code values.

This is useful for debugging which physical key was pressed (e.g. distinguishing left vs right Shift via "ShiftLeft" / "ShiftRight").

Returns

Ref<Record<string, string>>

Reactive ref containing record mapping normalized key names to their event.code values

Example

vue
<script setup>
import { useHeldKeys, useHeldKeyCodes } from '@tanstack/vue-hotkeys'

const heldKeys = useHeldKeys()
const heldCodes = useHeldKeyCodes()
</script>

<template>
  <div>
    <kbd v-for="key in heldKeys" :key="key">
      {{ key }} <small>{{ heldCodes[key] }}</small>
    </kbd>
  </div>
</template>
<script setup>
import { useHeldKeys, useHeldKeyCodes } from '@tanstack/vue-hotkeys'

const heldKeys = useHeldKeys()
const heldCodes = useHeldKeyCodes()
</script>

<template>
  <div>
    <kbd v-for="key in heldKeys" :key="key">
      {{ key }} <small>{{ heldCodes[key] }}</small>
    </kbd>
  </div>
</template>

Docs
CodeRabbit
Cloudflare
AG Grid
SerpAPI
Netlify
OpenRouter
WorkOS
Clerk
Electric
PowerSync
Sentry
Railway
Prisma
Strapi
Unkey
CodeRabbit
Cloudflare
AG Grid
SerpAPI
Netlify
OpenRouter
WorkOS
Clerk
Electric
PowerSync
Sentry
Railway
Prisma
Strapi
Unkey
API Reference
Hotkeys API Reference
Hotkey Sequence API Reference
Key hold & held keys API Reference
Hotkey Recorder API Reference
Hotkey Sequence Recorder API Reference
Normalization & format API Reference
Key hold & held keys API Reference

useHeldKeyCodes

Function: useHeldKeyCodes()

ts
function useHeldKeyCodes(): Record<string, string>;
function useHeldKeyCodes(): Record<string, string>;

Defined in: useHeldKeyCodes.ts:30

React hook that returns a map of currently held key names to their physical event.code values.

This is useful for debugging which physical key was pressed (e.g. distinguishing left vs right Shift via "ShiftLeft" / "ShiftRight").

Returns

Record<string, string>

Record mapping normalized key names to their event.code values

Example

tsx
function KeyDebugDisplay() {
  const heldKeys = useHeldKeys()
  const heldCodes = useHeldKeyCodes()

  return (
    <div>
      {heldKeys.map((key) => (
        <kbd key={key}>
          {key} <small>{heldCodes[key]}</small>
        </kbd>
      ))}
    </div>
  )
}
function KeyDebugDisplay() {
  const heldKeys = useHeldKeys()
  const heldCodes = useHeldKeyCodes()

  return (
    <div>
      {heldKeys.map((key) => (
        <kbd key={key}>
          {key} <small>{heldCodes[key]}</small>
        </kbd>
      ))}
    </div>
  )
}